Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.PowerPoint2PDFSettingData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | PowerPoint2PDFSettingData ()
| Constructor. More...
def | Set (intent, frame_output_slides, output_type, handout_order, output_hidden_slides, include_doc_props, disable_vba_code)
| Set value. More...

## Static Public Attributes
| disable_vba_code = _fsdk.PowerPoint2PDFSettingData_disable_vba_code
| A boolean value decide whether to disable the execution of vba code in the PowerPoint document. More...
| e_ConvertIntentPrint = _fsdk.PowerPoint2PDFSettingData_e_ConvertIntentPrint
| Intent: converted result file will be used for printing.
| e_ConvertIntentScreen = _fsdk.PowerPoint2PDFSettingData_e_ConvertIntentScreen
| Intent: converted result file will be used for showing on screen.
| e_HandoutOrderHorizontalFirst = _fsdk.PowerPoint2PDFSettingData_e_HandoutOrderHorizontalFirst
| When converting PowerPoint in handouts type, convert handouts with consecutive slides displayed horizontally first (in horizontal rows).
| e_HandoutOrderVerticalFirst = _fsdk.PowerPoint2PDFSettingData_e_HandoutOrderVerticalFirst
| When converting PowerPoint in handouts type, convert handouts with consecutive slides displayed vertically first (in vertical columns).
| e_OutputFourSlideHandouts = _fsdk.PowerPoint2PDFSettingData_e_OutputFourSlideHandouts
| Output type: handouts with four slide per handout page.
| e_OutputNineSlideHandouts = _fsdk.PowerPoint2PDFSettingData_e_OutputNineSlideHandouts
| Output type: handouts with nine slide per handout page.
| e_OutputNotesPages = _fsdk.PowerPoint2PDFSettingData_e_OutputNotesPages
| Output type: notes pages.
| e_OutputOneSlideHandouts = _fsdk.PowerPoint2PDFSettingData_e_OutputOneSlideHandouts
| Output type: handouts with one slide per handout page.
| e_OutputOutline = _fsdk.PowerPoint2PDFSettingData_e_OutputOutline
| Output type: outline view.
| e_OutputSixSlideHandouts = _fsdk.PowerPoint2PDFSettingData_e_OutputSixSlideHandouts
| Output type: handouts with six slide per handout page.
| e_OutputSlides = _fsdk.PowerPoint2PDFSettingData_e_OutputSlides
| Output type: slides.
| e_OutputThreeSlideHandouts = _fsdk.PowerPoint2PDFSettingData_e_OutputThreeSlideHandouts
| Output type: handouts with three slide per handout page.
| e_OutputTwoSlideHandouts = _fsdk.PowerPoint2PDFSettingData_e_OutputTwoSlideHandouts
| Output type: handouts with two slide per handout page.
| frame_output_slides = _fsdk.PowerPoint2PDFSettingData_frame_output_slides
| A boolean value which indicates whether to frame output slides in the converted PDF document. More...
| handout_order = _fsdk.PowerPoint2PDFSettingData_handout_order
| Handout order used to specify the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF. Please refer to values starting from FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values. More...
| include_doc_props = _fsdk.PowerPoint2PDFSettingData_include_doc_props
| A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document. More...
| intent = _fsdk.PowerPoint2PDFSettingData_intent
| Converting intent. Please refer to values starting from FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_ConvertIntentPrint and this should be one of these values.
| output_hidden_slides = _fsdk.PowerPoint2PDFSettingData_output_hidden_slides
| A boolean value which indicates whether to convert hidden slides to the converted PDF document. More...
| output_type = _fsdk.PowerPoint2PDFSettingData_output_type
| Output type used to specify which component (slides, handouts, notes pages, or an outline) of PowerPoint document is to be converted to PDF document. Please refer to values starting from FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_OutputSlides and this should be one of these values.

## Detailed Description

This class represents setting data used for converting PowerPoint to PDF.

## Constructor & Destructor Documentation

## ◆ PowerPoint2PDFSettingData()

def FoxitPDFSDKPython2.PowerPoint2PDFSettingData.PowerPoint2PDFSettingData | ( |  | ) |

Constructor.

Constructor, with parameters.

Parameters

  [in] | intent | Converting intent. Please refer to values starting from FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_ConvertIntentPrint and this should be one of these values.
  [in] | frame_output_slides | A boolean value which indicates whether to frame output slides in the converted PDF document or not.
  [in] | output_type | Output type used to specify which component of PowerPoint document is to be converted. Please refer to values starting from FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_OutputSlides and this should be one of these values.
  [in] | handout_order | Handout order used to specify the page layout order in which slides appear on converted handouts that show multiple slides on one page. Please refer to values starting from FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values.
  [in] | output_hidden_slides | A boolean value which indicates whether to convert hidden slides to the converted PDF document.
  [in] | include_doc_props | A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.PowerPoint2PDFSettingData.Set | ( |  | intent,
|  |  | frame_output_slides,
|  |  | output_type,
|  |  | handout_order,
|  |  | output_hidden_slides,
|  |  | include_doc_props,
|  |  | disable_vba_code
| ) |  |

Set value.

Parameters

  [in] | intent | Converting intent. Please refer to values starting from FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_ConvertIntentPrint and this should be one of these values.
  [in] | frame_output_slides | A boolean value which indicates whether to frame output slides in the converted PDF document or not.
  [in] | output_type | Output type used to specify which component of PowerPoint document is to be converted. Please refer to values starting from FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_OutputSlides and this should be one of these values.
  [in] | handout_order | Handout order used to specify the page layout order in which slides appear on converted handouts that show multiple slides on one page. Please refer to values starting from FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values.
  [in] | output_hidden_slides | A boolean value which indicates whether to convert hidden slides to the converted PDF document.
  [in] | include_doc_props | A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

Returns
  None.

## Member Data Documentation

## ◆ disable_vba_code

FoxitPDFSDKPython2.PowerPoint2PDFSettingData.disable_vba_code = _fsdk.PowerPoint2PDFSettingData_disable_vba_code
| static

A boolean value decide whether to disable the execution of vba code in the PowerPoint document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

## ◆ frame_output_slides

FoxitPDFSDKPython2.PowerPoint2PDFSettingData.frame_output_slides = _fsdk.PowerPoint2PDFSettingData_frame_output_slides
| static

A boolean value which indicates whether to frame output slides in the converted PDF document.

true means to frame output slides in the converted PDF document.
false means not to frame output slides in the converted PDF document.

## ◆ handout_order

FoxitPDFSDKPython2.PowerPoint2PDFSettingData.handout_order = _fsdk.PowerPoint2PDFSettingData_handout_order
| static

Handout order used to specify the page layout order in which slides appear on converted handouts. Handouts can be used to show multiple slides on one page when converting PowerPoint to PDF. Please refer to values starting from FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_HandoutOrderHorizontalFirst and this should be one of these values.

Note
  This would be available only when output_type is one of following value:

  - FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_OutputOneSlideHandouts

  - FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_OutputTwoSlideHandouts

  - FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_OutputThreeSlideHandouts

  - FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_OutputFourSlideHandouts

  - FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_OutputSixSlideHandouts

  - FoxitPDFSDKPython2.PowerPoint2PDFSettingData.e_OutputNineSlideHandouts

## ◆ include_doc_props

FoxitPDFSDKPython2.PowerPoint2PDFSettingData.include_doc_props = _fsdk.PowerPoint2PDFSettingData_include_doc_props
| static

A boolean value which indicates whether to include PowerPoint document properties in the converted PDF document.

true means to include PowerPoint document properties in the converted PDF document.
false means not to include PowerPoint document properties in the converted PDF document.

## ◆ output_hidden_slides

FoxitPDFSDKPython2.PowerPoint2PDFSettingData.output_hidden_slides = _fsdk.PowerPoint2PDFSettingData_output_hidden_slides
| static

A boolean value which indicates whether to convert hidden slides to the converted PDF document.

true means to convert hidden slides to the converted PDF document.
false means not to convert hidden slides to the converted PDF document.